classification
Title: test_create_server_ssl_verify_failed() failure on "PPC64 AIX 3.x" buildbot
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: David.Edelsohn, gvanrossum, pitrou, trex58, vstinner
Priority: normal Keywords:

Created on 2014-02-11 16:39 by vstinner, last changed 2015-08-18 09:46 by trex58. This issue is now closed.

Messages (4)
msg210967 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-11 16:39
http://buildbot.python.org/all/builders/PPC64%20AIX%203.x/builds/1694/steps/test/logs/stdio

======================================================================
FAIL: test_create_server_ssl_verify_failed (test.test_asyncio.test_events.PollEventLoopTests)
----------------------------------------------------------------------
ssl.SSLError: A failure in the SSL library occurred (_ssl.c:598)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_asyncio/test_events.py", line 692, in test_create_server_ssl_verify_failed
    self.loop.run_until_complete(f_c)
AssertionError: "certificate verify failed " does not match "A failure in the SSL library occurred (_ssl.c:598)"

======================================================================
FAIL: test_create_server_ssl_verify_failed (test.test_asyncio.test_events.SelectEventLoopTests)
----------------------------------------------------------------------
ssl.SSLError: A failure in the SSL library occurred (_ssl.c:598)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_asyncio/test_events.py", line 692, in test_create_server_ssl_verify_failed
    self.loop.run_until_complete(f_c)
AssertionError: "certificate verify failed " does not match "A failure in the SSL library occurred (_ssl.c:598)"
msg210976 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-11 17:02
Platform:
AIX-1-00F84C0C4C00-powerpc-32bit big-endian

[ 49/389/3] test_ssl
test_ssl: testing with 'OpenSSL 1.0.1e 11 Feb 2013' (1, 0, 1, 5, 15)
          under 'AIX-1-00F84C0C4C00-powerpc-32bit'
          HAS_SNI = True
          OP_ALL = 0x-7ffffc01
          OP_NO_TLSv1_1 = 0x10000000

Oh, there are many failures in test_ssl:

======================================================================
FAIL: test_load_cert_chain (test.test_ssl.ContextTests)
----------------------------------------------------------------------
ssl.SSLError: unknown error (_ssl.c:2496)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 733, in test_load_cert_chain
    ctx.load_cert_chain(BADCERT)
AssertionError: "PEM lib" does not match "unknown error (_ssl.c:2496)"

======================================================================
FAIL: test_load_verify_locations (test.test_ssl.ContextTests)
----------------------------------------------------------------------
ssl.SSLError: unknown error (_ssl.c:2719)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 818, in test_load_verify_locations
    ctx.load_verify_locations(BADCERT)
AssertionError: "PEM lib" does not match "unknown error (_ssl.c:2719)"

======================================================================
FAIL: test_connect (test.test_ssl.NetworkedTests)
----------------------------------------------------------------------
ssl.SSLError: A failure in the SSL library occurred (_ssl.c:598)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 1140, in test_connect
    s.connect, ("svn.python.org", 443))
AssertionError: "certificate verify failed" does not match "A failure in the SSL library occurred (_ssl.c:598)"

======================================================================
FAIL: test_connect_with_context (test.test_ssl.NetworkedTests)
----------------------------------------------------------------------
ssl.SSLError: A failure in the SSL library occurred (_ssl.c:598)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 1246, in test_connect_with_context
    s.connect, ("svn.python.org", 443))
AssertionError: "certificate verify failed" does not match "A failure in the SSL library occurred (_ssl.c:598)"

======================================================================
FAIL: test_crl_check (test.test_ssl.ThreadedTests)
----------------------------------------------------------------------
ssl.SSLError: A failure in the SSL library occurred (_ssl.c:598)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 1977, in test_crl_check
    s.connect((HOST, server.port))
AssertionError: "certificate verify failed" does not match "A failure in the SSL library occurred (_ssl.c:598)"

======================================================================
FAIL: test_default_ciphers (test.test_ssl.ThreadedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 2563, in test_default_ciphers
    self.assertIn("no shared cipher", str(server.conn_errors[0]))
AssertionError: 'no shared cipher' not found in 'A failure in the SSL library occurred (_ssl.c:598)'

======================================================================
FAIL: test_sni_callback_alert (test.test_ssl.ThreadedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 2760, in test_sni_callback_alert
    self.assertEqual(cm.exception.reason, 'TLSV1_ALERT_ACCESS_DENIED')
AssertionError: None != 'TLSV1_ALERT_ACCESS_DENIED'

======================================================================
FAIL: test_sni_callback_raising (test.test_ssl.ThreadedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 2776, in test_sni_callback_raising
    self.assertEqual(cm.exception.reason, 'SSLV3_ALERT_HANDSHAKE_FAILURE')
AssertionError: None != 'SSLV3_ALERT_HANDSHAKE_FAILURE'

======================================================================
FAIL: test_sni_callback_wrong_return_type (test.test_ssl.ThreadedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/Lib/test/test_ssl.py", line 2794, in test_sni_callback_wrong_return_type
    self.assertEqual(cm.exception.reason, 'TLSV1_ALERT_INTERNAL_ERROR')
AssertionError: None != 'TLSV1_ALERT_INTERNAL_ERROR'
msg238410 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-03-18 10:56
Since nobody looks to care of AIX, I just close the issue.
msg248766 - (view) Author: REIX Tony (trex58) Date: 2015-08-18 09:46
I'm now working about the port of Python 3.4.3 on AIX.
So, I'm interesting with issues dealing with AIX.
I'm now building a view of the issues on AIX 6.1 .
History
Date User Action Args
2015-08-18 09:46:27trex58setnosy: + trex58
messages: + msg248766
2015-03-18 10:56:04vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg238410
2014-02-11 17:02:22vstinnersetnosy: + pitrou, David.Edelsohn
messages: + msg210976
2014-02-11 16:39:41vstinnercreate